# -*- encoding: utf-8 -*-
# stub: haml 5.2.2 ruby lib

Gem::Specification.new do |s|
  s.name = "haml".freeze
  s.version = "5.2.2".freeze

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "bug_tracker_uri" => "https://github.com/haml/haml/issues", "changelog_uri" => "https://github.com/haml/haml/blob/main/CHANGELOG.md", "documentation_uri" => "http://haml.info/docs.html", "homepage_uri" => "http://haml.info", "mailing_list_uri" => "https://groups.google.com/forum/?fromgroups#!forum/haml", "source_code_uri" => "https://github.com/haml/haml" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Natalie Weizenbaum".freeze, "Hampton Catlin".freeze, "Norman Clarke".freeze, "Akira Matsuda".freeze]
  s.date = "2021-07-27"
  s.description = "Haml (HTML Abstraction Markup Language) is a layer on top of HTML or XML that's\ndesigned to express the structure of documents in a non-repetitive, elegant, and\neasy way by using indentation rather than closing tags and allowing Ruby to be\nembedded with ease. It was originally envisioned as a plugin for Ruby on Rails,\nbut it can function as a stand-alone templating engine.\n".freeze
  s.email = ["haml@googlegroups.com".freeze, "ronnie@dio.jp".freeze]
  s.executables = ["haml".freeze]
  s.files = [".github/workflows/test.yml".freeze, ".gitignore".freeze, ".gitmodules".freeze, ".yardopts".freeze, "CHANGELOG.md".freeze, "FAQ.md".freeze, "Gemfile".freeze, "MIT-LICENSE".freeze, "README.md".freeze, "REFERENCE.md".freeze, "Rakefile".freeze, "TODO".freeze, "benchmark.rb".freeze, "bin/haml".freeze, "haml.gemspec".freeze, "lib/haml.rb".freeze, "lib/haml/.gitattributes".freeze, "lib/haml/attribute_builder.rb".freeze, "lib/haml/attribute_compiler.rb".freeze, "lib/haml/attribute_parser.rb".freeze, "lib/haml/buffer.rb".freeze, "lib/haml/compiler.rb".freeze, "lib/haml/engine.rb".freeze, "lib/haml/error.rb".freeze, "lib/haml/escapable.rb".freeze, "lib/haml/exec.rb".freeze, "lib/haml/filters.rb".freeze, "lib/haml/generator.rb".freeze, "lib/haml/helpers.rb".freeze, "lib/haml/helpers/action_view_extensions.rb".freeze, "lib/haml/helpers/action_view_mods.rb".freeze, "lib/haml/helpers/action_view_xss_mods.rb".freeze, "lib/haml/helpers/safe_erubi_template.rb".freeze, "lib/haml/helpers/safe_erubis_template.rb".freeze, "lib/haml/helpers/xss_mods.rb".freeze, "lib/haml/options.rb".freeze, "lib/haml/parser.rb".freeze, "lib/haml/plugin.rb".freeze, "lib/haml/railtie.rb".freeze, "lib/haml/sass_rails_filter.rb".freeze, "lib/haml/template.rb".freeze, "lib/haml/template/options.rb".freeze, "lib/haml/temple_engine.rb".freeze, "lib/haml/temple_line_counter.rb".freeze, "lib/haml/util.rb".freeze, "lib/haml/version.rb".freeze, "yard/default/.gitignore".freeze, "yard/default/fulldoc/html/css/common.sass".freeze, "yard/default/layout/html/footer.erb".freeze]
  s.homepage = "http://haml.info/".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.0.0".freeze)
  s.rubygems_version = "3.1.4".freeze
  s.summary = "An elegant, structured (X)HTML/XML templating engine.".freeze

  s.specification_version = 4

  s.add_runtime_dependency(%q<temple>.freeze, [">= 0.8.0".freeze])
  s.add_runtime_dependency(%q<tilt>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<rails>.freeze, [">= 4.0.0".freeze])
  s.add_development_dependency(%q<rbench>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<minitest>.freeze, [">= 4.0".freeze])
  s.add_development_dependency(%q<nokogiri>.freeze, [">= 0".freeze])
  s.add_development_dependency(%q<simplecov>.freeze, [">= 0".freeze])
end

